org.eclipse.mat.internal.apps

## Class ParseSnapshotApp

- java.lang.Object
- - org.eclipse.mat.internal.apps.ParseSnapshotApp

    public class ParseSnapshotApp
    extends Object

Opens and parses a dump into a snapshot and runs reports on the snapshot.

### Constructor Summary

Constructors
Constructor and Description
`ParseSnapshotApp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `start(IApplicationContext context)`
`void` `stop()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParseSnapshotApp

    public ParseSnapshotApp()

### Method Detail

#### start

    public Object start(IApplicationContext context)
                 throws Exception

Throws:
  `Exception`

#### stop

    public void stop()